Bug 473182 - Conflict with tk-tktreectrl
Conflict with tk-tktreectrl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tcl-tktreectrl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 18:25 EST by Michael Schwendt
Modified: 2008-12-20 14:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-20 14:00:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-11-26 18:25:33 EST
tcl-tktreectrl-2.2.8-1.fc9.i386  in  rawhide-development-i386
  File conflict with: tk-tktreectrl-2.2.3-5.fc9.i386
     /usr/share/man/mann/treectrl.n.gz

(and vice versa)

Looks like it is the same software. Review Fauxpas?
Comment 1 Wart 2008-11-26 19:19:05 EST
Looks like the same package as tk-tktreectrl, but with the correct naming per the Tcl packaging guidelines (which were adopted after tk-tktreectrl was already imported).

I'm happy to let spot maintain the real package, and dump tk-tktreectrl.  I'd only request that tcl-tktreectrl also Provides: tk-tktreectrl.
Comment 2 Matěj Cepl 2008-11-28 14:47:02 EST
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 3 Tom "spot" Callaway 2008-12-02 11:19:56 EST
(In reply to comment #1)
> Looks like the same package as tk-tktreectrl, but with the correct naming per
> the Tcl packaging guidelines (which were adopted after tk-tktreectrl was
> already imported).
> 
> I'm happy to let spot maintain the real package, and dump tk-tktreectrl.  I'd
> only request that tcl-tktreectrl also Provides: tk-tktreectrl.

It already has that Provides. :) Can you go ahead and EOL your package?

https://fedoraproject.org/wiki/PackageMaintainers/RetiredPackages
https://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife
Comment 4 Tom "spot" Callaway 2008-12-02 11:20:28 EST
(In reply to comment #1)
> Looks like the same package as tk-tktreectrl, but with the correct naming per
> the Tcl packaging guidelines (which were adopted after tk-tktreectrl was
> already imported).

Apologies on causing the duplication in the first place, I'm usually better at catching this sort of thing.
Comment 5 Wart 2008-12-02 22:22:31 EST
(In reply to comment #3)
> It already has that Provides. :) Can you go ahead and EOL your package?
> 
> https://fedoraproject.org/wiki/PackageMaintainers/RetiredPackages
> https://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife

I'll do this as soon as I get a real network connection back (hopefully tomorrow).  Feel free to add me to a comaintainer of this package if you'd like.
Comment 6 Tom "spot" Callaway 2008-12-10 10:27:44 EST
(In reply to comment #5)

> I'll do this as soon as I get a real network connection back (hopefully
> tomorrow).  Feel free to add me to a comaintainer of this package if you'd
> like.

Friendly reminder: This has not yet been done.

If you want to comaintain tcl-tktreectrl, just request it at the PackageDB and I will approve it.
Comment 7 Wart 2008-12-17 18:34:56 EST
I've updated CVS for tk-tktreectrl and file a releng ticket:  https://fedorahosted.org/rel-eng/ticket/1198

I just noticed that this conflict also applies to F8, F9, and F10.  I'll go ahead and mark tk-tktreectrl as EOL on these three branches as well.
Comment 8 Wart 2008-12-19 01:18:41 EST
I've marked the F-9 and F-10 branches as EOL and requested them to be blocked:  https://fedorahosted.org/rel-eng/ticket/1204

Shouldn't tcl-tktreectrl also contain "Obsoletes: tk-tktreectrl < %{version}-%{release}"?  Otherwise 'yum install tktreectrl will still pick up the EOL'd tk-tktreectrl, even though it has an older version (at least that's what happened in my testing)
Comment 9 Tom "spot" Callaway 2008-12-19 10:15:09 EST
Well, we can't do it like that, because tcl-tktreectrl has a macroed versioned Provides for tk-treectrl. It would obsolete itself.

We could add Obsoletes for the last V-R that tk-tktreectrl released, which seems to be 2.2.3-5:

Obsoletes: tk-tktreectrl <= 2.2.3-5
Comment 10 Wart 2008-12-19 23:19:34 EST
Good point.  I've fixed this in tcl-tktreectrl cvs.  If it looks right to you then I'll tag and build, then apply the same changes to F-10 and F-9.
Comment 11 Tom "spot" Callaway 2008-12-20 09:50:15 EST
Looks fine.
Comment 12 Wart 2008-12-20 14:00:38 EST
tk-tktreectrl has been marked EOL, and a new build for tcl-tktreectrl has been built for rawhide.  Updates to F-10 and F-9 are pending.  Closing.

Note You need to log in before you can comment on or make changes to this bug.